@font-face {
  font-family: bt_font;
  src: url('../fonts/Ubuntu-Light.woff') format('woff'), url('../fonts/Ubuntu-Light.ttf') format('truetype');
}
html {
  height:100vh;
  max-height: 100vh;
}
body {
  margin: 0px;
  height: 100vh;
  font-family: bt_font;
  background: url(../gfx/start/CV_APP_Polys.svg) #000 top left fixed;
  background-size: cover;
  -webkit-user-select: none;
  -moz-user-select: none;
  -khtml-user-select: none;
  user-select: none;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  -webkit-tap-highlight-color: transparent; /* For some Androids */
  overflow:auto;
}

ul, li, h1 {
  margin:0;
  padding:0;
}

.logo {
  position: fixed;
  left: -999px;
  left: calc((90% - 360px - 20%) / 2);
  /*top: calc((100% - 343px) / 2);*/
  width: 20%;
  height: 100%;
  background: url(../gfx/start/CV_APP_Logo.png) no-repeat;
  background-size: 100%;
  background-position: center center;
}
.logo_small {
  display: none;
}
#menu {
  position: absolute;
  right: 10%;
  width: 360px;
  min-height: 100vh;
  background-color: #222;
  cursor: default !important;
  transform: none !important;
  touch-action: auto !important;
}
.logo_footer {
  position: fixed;
  left: 50px;
  bottom: 50px;
  width: 30%;
}
h1 {
  width: 100%;
  margin: 0;
  padding: 0;
  text-align: center;
  font-weight:normal;
  color: white;
  font-size: 3em;
  line-height: 3em;
  background: url(../gfx/start/CV_APP_Polys.svg) #888 top left;
  background-size: 200%;
  background-position: -100px -200px;
}
/*
 @media screen and (min-width:1140px) and (-webkit-device-pixel-ratio:1),
 screen and (min-width:1140px) and (resolution:96dpi)
 */
@media (max-width: 840px) {
  #menu {
    right: 0px;
  }
  .logo {
    display: none;
  }
  .logo_footer {
    display: none;
  }
  h1 {
    font-size: 2em;
    padding-top: env(safe-area-inset-top);
  }
  .logo_small {
    display: inline-block;
    width: 50px;
    margin-bottom: -15px;
    margin-right: 10px;
  }
}
@media (max-width: 600px) {
  #menu {
    width: 100%;
    background-color: #222;
  }
  .logo {
    display: none;
  }
}

.selector {
  display: block;
  float: right;
  margin-left: 0.5em;
  margin-right: 2em;
  margin-top: 22px;
  width: 26px;
  height: 3px;
  background: #888;
  border-radius: 1.5px;
}

.number-input {
  float: right;
  margin-top: 6px;
  margin-right: 2em;
  width: 2.5em;
  background: #222;
}

.active {
  background: #f07d00;
}
.menu_button_ok span {
  position: absolute;
  line-height: 120px;
  bottom: 0px;
  width: 100%;
  color: #888;
  text-align: center;
  text-decoration: none;
}
.dummy {
  height: 120px;
}


.settingsection {
  transition: opacity 200ms ease-out;
  list-style-type:none;
}

.settings li {
  transition: opacity 200ms ease-out;
  list-style-type:none;
}

.settingsection li, .settings li, .settingsection a {
  line-height: 45px;
  font-size: 1.1em;
  border-top: 1px solid #111;
  color: #ffffff;
  display: block;
  text-decoration: none;
}

.settingsection > li {
  text-indent: 1.4em;
}

.subsettings > li  {
  text-indent: 0;
  padding-left: 2.8em;
}

.settingsection li a {
  border: none;
  font-size: 1em;
  text-indent: 0;
  padding-left: 1.4em;
}

.favorites-list {
  border-bottom: 1px solid #111;
  margin-bottom: 45px;
}

.settings li, .settings a {
  font-size: 1em;
  color: #888;
  cursor: pointer;
}

/* 1.4, 2.8 */
.text_selected {
  color: #f07200 !important;
}

li.disabled > * {
  opacity: 0.35;
}

.no-border {
  border-top:0 !important;
}

.path_icon {
  display: block;
  float: right;
  height: 20px;
  /*TODO: fixme */
  margin-top: -40px;
  margin-right: 1.4em;
}

.path_icon_lock {
  height: 15px;
  margin-top: -38px;
}

.nav_item {
  background: url(../gfx/start/arrow.png) calc(100% - 1.4em) center no-repeat;
  background-size: 0.75em;
  padding-right: 2em;
}

.locked_item {
  background: url(../gfx/start/lock.png) calc(100% - 1.4em) center no-repeat;
  background-size: 0.75em;
}

/*
#content0 {
  display: block;
  opacity: 1;
}

#content1 {
  display: none;
  opacity: 0;
}
 */
label {display:block;}

input {
  /*background: #222;*/
  background: #000;
  line-height: 25px;
  border: none;
  width: calc(100% - 4.6em);
  color: #fff;
  font-family: bt_font;
  font-size: 1em;
  padding:   0.2em;
  border-bottom: 1px solid #888;
  text-align: center;
  border-radius: 0px;
  margin-left: 1.4em;
}

input:focus {
  outline: 0;
  /* border: 1px solid #f07d00;*/
}

.ng-enter {
  -webkit-transition:0.3s linear all;
  transition:0.3s linear all;
  opacity: 0;
}

.ng-enter-active {
  opacity: 1;
}

.message-container {
  position: absolute;
  z-index: 10000;
}

.dialog-mask {
  position: fixed;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: 0.8;
}

.dialog-container {
  position: fixed;
  left: 50%;
  top: 30%;
  width: 86%;
  max-width: 400px;
}

.dialog-content {
  margin-left: -50%;
  width: 100%;
  height: 100%;
  background: #444;
}

.dialog-title {
  width: 100%;
  line-height: 45px;
  border-bottom: 1px solid #000;
  color: #f07d00;
  text-align: center;
}

.dialog-message {
  width: calc(100% - 20px);
  line-height: 1.8em;
  padding-top: 20px;
  padding-bottom: 20px;
  padding-left: 10px;
  padding-right: 10px;
  font-size: 0.85em;
  border-bottom: 1px solid #000;
  color: white;
  text-align: center;
}

.dialog-buttons1 a {
  font-size: 0.8em;
  width: 100%;
  line-height: 45px;
  color: #f07d00;
  text-align: center;
  float: right;
  background: #444;
  text-decoration: none;
}

.dialog-buttons2 a {
  font-size: 0.8em;
  width: 50%;
  line-height: 45px;
  color: #f07d00;
  text-align: center;
  float: right;
  background: #444;
  text-decoration: none;
}

.spinner {
  /*
  margin: 100px auto 0;
  width: 70px;
   */
  text-align: center;
  display: inline;
  float: right;
  margin-right: 0.8em;
  background: #222;
}

.spinner > div {
  width: 12px;
  height: 12px;
  background-color: #5c5c5c;

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: bouncedelay 1.4s infinite ease-in-out;
  animation: bouncedelay 1.4s infinite ease-in-out;
  /* Prevent first frame from flickering when animation starts */
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes bouncedelay {
  0%, 80%, 100% { -webkit-transform: scale(0.0) }
  40% { -webkit-transform: scale(1.0) }
}

@keyframes bouncedelay {
  0%, 80%, 100% {
    transform: scale(0.0);
    -webkit-transform: scale(0.0);
  } 40% {
    transform: scale(1.0);
    -webkit-transform: scale(1.0);
  }
}


